Subject: Re: FYI: net/phy/marvell10g: android kernel builing error due to modpost error

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 18 Apr 2022 11:08:54 +0100

On Mon, Apr 18, 2022 at 11:22:12AM +0200, Mauro Rossi wrote:
> At the final stage of building  Linux 5.18-rc3 with the necessary AOSP
> changes, I am getting the following building error:
> 
>   MODPOST modules-only.symvers
> ERROR: modpost: "__compiletime_assert_344"
> [drivers/net/phy/marvell10g.ko] undefined!
> make[2]: *** [/home/utente/r-x86_kernel/kernel/scripts/Makefile.modpost:134:
> modules-only.symvers] Error 1
> make[2]: *** Deleting file 'modules-only.symvers'
> make[1]: *** [/home/utente/r-x86_kernel/kernel/Makefile:1749: modules] Error 2
> make[1]: *** Waiting for unfinished jobs....
> 
> It never happened before throughout all my previous android-x86 kernel
> rc cycle build tests, which spanned from linux version 5.10 to linux
> version 5.18rc

As far as I'm aware, with mainline kernels, marvell10g builds fine.
I'm not sure how to work back from "__compiletime_assert_344" to
where the problem could be. The "344" appears to be generated by
the __COUNTER__ macro - and I don't know how that macro works (debian
annoyingly don't package the GCC info docs, and the info files I have
are out of date.)

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!